## python-nextdns 3.3.0

=== requirements.txt ===
aiohttp>=3.7.0
tenacity

=== debian/changelog ===
python-nextdns (3.3.0-2) unstable; urgency=medium

  * source-only upload

 -- Sourav Bhattacharya <souravbhattacharya@tutamail.com>  Sat, 19 Oct 2024 07:03:14 +0000

python-nextdns (3.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084910)

 -- Sourav Bhattacharya <souravbhattacharya@tutamail.com>  Thu, 10 Oct 2024 21:05:23 +0000

=== debian/control ===
Source: python-nextdns
Section: python
Priority: optional
Maintainer: Sourav Bhattacharya <souravbhattacharya@tutamail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Build-Depends-Indep:
 python3-pytest,
 python3-syrupy,
 python3-aiohttp,
 python3-aioresponses,
 python3-tenacity,
 python3-pytest-asyncio,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/bieniu/nextdns
Vcs-Browser: https://salsa.debian.org/sxctic-54l/python-nextdns
Vcs-Git: https://salsa.debian.org/sxctic-54l/python-nextdns.git

Package: python3-nextdns
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python wrapper for NextDNS API
 This package is a Python wrapper for NextDNS.
 One needs to generate an API key at the NextDNS site at
 https://my.nextdns.io/signup, and after registration it is
 possible to use the API.
 .
 This package is a dependency for Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=nextdns

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nextdns-$1\.tar\.gz/ \
  https://github.com/bieniu/nextdns/tags .*/v?(\d\S+)\.tar\.gz
